using System.Text.Json.Serialization;

public class Results
{
	[JsonPropertyName("sunrise")]
	public DateTimeOffset Sunrise { get; set; }

	[JsonPropertyName("sunset")]
	public DateTimeOffset Sunset { get; set; }

	[JsonPropertyName("solar_noon")]
	public DateTimeOffset? SolarNoon { get; set; }

	[JsonPropertyName("day_length")]
	public long? DayLength { get; set; }

	[JsonPropertyName("civil_twilight_begin")]
	public DateTimeOffset? CivilTwilightBegin { get; set; }

	[JsonPropertyName("civil_twilight_end")]
	public DateTimeOffset? CivilTwilightEnd { get; set; }

	[JsonPropertyName("nautical_twilight_begin")]
	public DateTimeOffset? NauticalTwilightBegin { get; set; }

	[JsonPropertyName("nautical_twilight_end")]
	public DateTimeOffset? NauticalTwilightEnd { get; set; }

	[JsonPropertyName("astronomical_twilight_begin")]
	public DateTimeOffset AstronomicalTwilightBegin { get; set; }

	[JsonPropertyName("astronomical_twilight_end")]
	public DateTimeOffset AstronomicalTwilightEnd { get; set; }
}